package com.zyh.auth.feign;

import com.zyh.common.domain.User;
import com.zyh.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

//@FeignClient(value = "community-security-modules-system", fallback = AuthFeignServicempl.class)
@FeignClient(value = "community-security-modules-system")
public interface AuthFeignService {
    @PostMapping("/user/findPhone/{phone}")
    public Result<User> findPhone(@PathVariable String phone);
}
