package com.zyh.system.mapper;

import com.zyh.common.domain.Area;
import com.zyh.common.domain.House;
import com.zyh.common.domain.vo.AreaVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HouseMapper {
    Integer addHouse(House house);

    List<Area> getJurisdictionTree(@Param("parentId") Integer parentId);

    List<House> getHouse();

    List<AreaVo> getTree();


    List<AreaVo> getProvinces();

    List<AreaVo> getCities(@Param("parentId") Integer parentId);
}
