package com.zyh.system.service;

import com.zyh.common.domain.Building;
import com.zyh.common.domain.Households;
import com.zyh.common.domain.Housetype;
import com.zyh.common.domain.dto.PersonNum;
import com.zyh.common.result.Result;

import java.util.List;

public interface BuildService {
    Result addBuild(Building building);

    Result<List<Building>> getBuild();

    Result<List<Households>> getHouse(String buildId,Integer unit);

    Result deleteHouse(Integer id);

    Result updateHouse(Households households);

    Result<List<Housetype>> getHousetype();

    List<PersonNum> getPersonNum();

    void updateBuildPersonNum(Integer personNum,Integer unit,String buildId);
}
