package com.zyh.system.service;

import com.zyh.common.domain.Area;
import com.zyh.common.domain.House;
import com.zyh.common.domain.vo.AreaVo;
import com.zyh.common.result.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface HouseService {
    Result addHouse(House house);

    Result<List<Area>> getJurisdictionTree(Integer parentId);

    Result<List<House>> getHouse();

    Result sendPic(MultipartFile pic) ;

    Result<List<AreaVo>> getTree();

}
