package com.zyh.system.timer;

import com.zyh.common.domain.dto.PersonNum;
import com.zyh.system.service.BuildService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class Timer {
@Autowired
    BuildService buildService;
    @Scheduled(cron = "0 * * * * ?") // 每分钟触发一次
    public void myScheduledMethod() {
        // 在这里编写定时任务要执行的业务逻辑
        List<PersonNum> personNums = buildService.getPersonNum();
        for (PersonNum personNum : personNums) {
            //修改楼栋入住人数
            buildService.updateBuildPersonNum(personNum.getPersonNum(),personNum.getUnit(),personNum.getBuildId());

        }
        System.out.println("定时任务执行了");
    }
}
