package com.zyh.system.controller;

import com.zyh.common.domain.User;
import com.zyh.common.result.Result;
import com.zyh.system.service.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class LoginController {
    @Autowired
    LoginService loginService;



    @PostMapping("findPhone/{phone}")
    public Result<User> findPhone(@PathVariable String phone) {
        User user = loginService.findPhone(phone);
        Result<User> result = Result.success(user);
        return result;
    }

}
