package com.zyh.system.mapper;

import com.zyh.common.domain.Building;
import com.zyh.common.domain.Households;
import com.zyh.common.domain.Housetype;
import com.zyh.common.domain.dto.PersonNum;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BuildMapper {
    Integer addBuild(Building building);

    void addHouse(Households households);

    String selectBuildId(@Param("buildId") String buildId);

    List<Building> getBuild();

    List<Households> getHouse(@Param("buildId") String buildId, @Param("unit") Integer unit);

    Integer deleteHouse(@Param("id") Integer id);

    Integer updateHouse(Households households);

    List<Housetype> getHousetype();

    List<PersonNum> getPersonNum();

    void updateBuildPersonNum(@Param("personNum") Integer personNum,@Param("unit") Integer unit,@Param("buildId") String buildId);
}
